MonitorsSsh monitors
Update SSH Monitor
Updates an SSH monitor.
PATCH /api/ssh-monitors/:sshMonitorPublicId
Authentication
Requires a valid session.
- Header:
Authorization: Bearer <token>
Parameters
sshMonitorPublicId(Path, required): SSH monitor public UUID.
Request Body
All fields are optional.
{
"name": "Bastion Host (Primary)",
"hostname": "ssh.example.com",
"port": 22,
"status": "paused",
"checkInterval": 60,
"timeoutSeconds": 30,
"allowedCheckCountryCodes": ["de", "us"],
"sshConfig": {
"username": "root",
"privateKey": "-----BEGIN OPENSSH PRIVATE KEY-----..."
}
}Notes
statusacceptsactive,maintenance,disabled,paused,inactive.pausedandinactiveare normalized todisabled.allowedCheckCountryCodesis normalized to uppercase ISO codes (e.g.DE,US). Empty lists becomenull.- SSH config can be provided as
sshConfigor asconfig(alias). If neither is provided, the stored config is not changed. - Users with
readonlyrole can only changestatus.
cURL
curl -X PATCH "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"status": "disabled"
}'Response
{
"id": 300,
"organizationId": 1,
"customerId": 10,
"name": "Bastion Host (Primary)",
"hostname": "ssh.example.com",
"port": 22,
"status": "disabled",
"checkInterval": 60,
"timeoutSeconds": 30,
"notificationEmail": null,
"notificationPhoneNumber": null,
"lastCheckedAt": "2026-02-26T12:00:00.000Z",
"createdAt": "2026-02-26T12:00:00.000Z",
"updatedAt": "2026-02-26T12:01:00.000Z",
"config": {
"username": "root"
},
"sshConfig": {
"username": "root"
}
}Errors
400SSH monitor ID is required / invalid fields401Unauthorized403Forbidden (readonly users may only updatestatus; global supporters cannot update)404Not found